Bug 232166 - net/vde2: Fails to build with OpenSSL 1.1
Summary: net/vde2: Fails to build with OpenSSL 1.1
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kevin Lo
URL:
Keywords:
Depends on:
Blocks: 231931
  Show dependency treegraph
 
Reported: 2018-10-10 22:22 UTC by Jung-uk Kim
Modified: 2018-12-17 09:13 UTC (History)
3 users (show)

See Also:
koobs: merge-quarterly?


Attachments
Fix build with OpenSSL 1.1 (3.45 KB, patch)
2018-10-10 22:22 UTC, Jung-uk Kim
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jung-uk Kim freebsd_committer 2018-10-10 22:22:36 UTC
Created attachment 198019 [details]
Fix build with OpenSSL 1.1

net/vde2 fails to build with OpenSSL 1.1.

http://package18.nyi.freebsd.org/data/headamd64PR231931-default/2018-10-04_07h49m12s/logs/errors/vde2-2.3.2_2.log

There is an upstream bug report.

https://sourceforge.net/p/vde/bugs/78

However, it seems the project is not active any more.

I found a Debian patch and it looks okay.

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=836419
Comment 1 Roman Bogorodskiy freebsd_committer 2018-10-27 13:56:53 UTC
I happened to encounter this, and the attached fix works for me.
Comment 2 Roman Bogorodskiy freebsd_committer 2018-12-07 15:09:04 UTC
Ping? Any plans to commit that?
Comment 3 Tobias Kortkamp freebsd_committer 2018-12-09 06:55:17 UTC
A different patch was committed in ports r483811 and it no longer fails
to build with OpenSSL 1.1.1:
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p485718_s340864/logs/vde2-2.3.2_2.log

Assigning to committer who resolved.
Comment 4 Roman Bogorodskiy freebsd_committer 2018-12-09 07:04:10 UTC
(In reply to Tobias Kortkamp from comment #3)

I see, thanks. However, I saw this recently in 2018Q4, apparently, the fix was not MFH'ed. Any plans to do that?
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-17 09:13:05 UTC
Pending MFH